<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myVendorProductLabel" jhiTranslate="mpmApp.vendorProduct.home.createOrEditLabel">Create or edit a Vendor Product</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!vendorProduct.idVendorProduct">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="vendorProduct.idVendorProduct" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.vendorProduct.orderRatio" for="field_orderRatio">Order Ratio</label>
            <input currencyMask class="form-control" name="orderRatio" id="field_orderRatio"
                [(ngModel)]="vendorProduct.orderRatio"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.vendorProduct.dateFrom" for="field_dateFrom">Date From</label>
            <div class="input-group">
                <p-calendar inputId="field_dateFrom" name="input_dateFrom" [(ngModel)]="vendorProduct.dateFrom"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.vendorProduct.dateThru" for="field_dateThru">Date Thru</label>
            <div class="input-group">
                <p-calendar inputId="field_dateThru" name="input_dateThru" [(ngModel)]="vendorProduct.dateThru"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.vendorProduct.product" for="field_product">Product</label>
            <select class="form-control" id="field_product" name="product" [(ngModel)]="vendorProduct.productId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="productOption.idProduct" *ngFor="let productOption of products; trackBy: trackProductById">{{productOption.name}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.vendorProduct.internal" for="field_internal">Internal</label>
            <select class="form-control" id="field_internal" name="internal" [(ngModel)]="vendorProduct.internalId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.idInternal}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.vendorProduct.vendor" for="field_vendor">Vendor</label>
            <select class="form-control" id="field_vendor" name="vendor" [(ngModel)]="vendorProduct.vendorId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="vendorOption.idPartyRole" *ngFor="let vendorOption of vendors; trackBy: trackVendorById">{{vendorOption.name}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
